### Function

# GLib propagate_prefixed_error

since: 2.16

#### Declaration [src]

    void
    g_propagate_prefixed_error (
      GError** dest,
      GError* src,
      const gchar* format,
      ...
    )

#### Description [src]

If `dest` is `NULL`, free `src`; otherwise, moves `src` into `*dest`. `*dest` must be `NULL`. After the move, add a prefix as with g_prefix_error().

Available since: 2.16

This function is not directly available to language bindings.

#### Parameters

`dest`

  Type: `GError`

  Error return location.

  The data is owned by the caller of the function.

`src`

  Type: `GError`

  Error to move into the return location.

  The data is owned by the caller of the function.

`format`

  Type: `const gchar*`

  Printf()-style format string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments to `format`.